> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/sql-statements/data-definition/drop/drop-package.md).

# DROP PACKAGE

## Syntax

```bnf
DROP PACKAGE [IF EXISTS]  [ db_name . ] package_name
```

## Description

The `DROP PACKAGE` statement can be used when [Oracle SQL\_MODE](/docs/release-notes/community-server/about/compatibility-and-differences/sql_modeoracle.md) is set.

The `DROP PACKAGE` statement drops a stored package entirely:

* Drops the package specification (earlier created using the [CREATE PACKAGE](/docs/server/reference/sql-statements/data-definition/create/create-package.md) statement).
* Drops the package implementation, if the implementation was already created using the [CREATE PACKAGE BODY](/docs/server/reference/sql-statements/data-definition/create/create-package-body.md) statement.

## See Also

* [SHOW CREATE PACKAGE](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-package.md)
* [CREATE PACKAGE](/docs/server/reference/sql-statements/data-definition/create/create-package.md)
* [CREATE PACKAGE BODY](/docs/server/reference/sql-statements/data-definition/create/create-package-body.md)
* [DROP PACKAGE BODY](/docs/server/reference/sql-statements/data-definition/drop/drop-package-body.md)
* [Oracle SQL\_MODE](/docs/release-notes/community-server/about/compatibility-and-differences/sql_modeoracle.md)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-statements/data-definition/drop/drop-package.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
